チケット #550 (reopened 新機能・拡張)

登録: 14 年 前

最終更新: 13 年 前

ZIP圧縮解凍用スクリプト開発モデルAPI「Archiver」追加

報告者: shinomiya 担当者: shinomiya
優先度: major マイルストーン: 0.1.3
コンポーネント: im-jssp バージョン: 0.1.3(開発中)
キーワード: 関係者:

チケットの概要 (最終更新者: shinomiya)

インターフェース(案)

圧縮

 ( String(binary) | File )
 var result = Archiver.zip(
     {
         src    : String(binary) | File,
         dest   : String(binary) | File,
         srcFileName : String, 
         filter : function(File){
             return true | false
         }
     }
 )

解凍

 ( File )
 var result = Archiver.unzip(
     {
         src  : String(binary) | File,
         dest : File
     }
 )

留意点

  • 引数「encoding」を設ける?
    • 初期リリースでは無し。
  • 別途、includes, excludesの仕組みがあった方が使いやすい。
    • 初期リリースでは無し。
  • Antを参考にする。
  • Zip以外のアーカイブ形式を今後追加することも考える。

チケットの履歴

2008/09/24 01:25:50 更新者:shinomiya

  • 担当者篠宮 信明 から shinomiya に更新されました。
  • ステータスnew から assigned に更新されました。

[329] 最初のコミットを行いました。

2008/10/06 17:23:29 更新者:shinomiya

  • 説明 が更新されました。

2008/10/28 19:35:09 更新者:shinomiya

  • ステータスassigned から closed に更新されました。
  • 解決方法fixed に更新されました。
  • 説明 が更新されました。

完了しました。 [336]-[344], [346]-[353]

詳細な仕様は、APIリストを参照してください。(近日公開予定)

2008/12/26 17:44:41 更新者:shinomiya

  • ステータスclosed から reopened に更新されました。
  • 解決方法 が削除されました。

2008/12/26 17:47:38 更新者:shinomiya

圧縮するファイルやディレクトリを複数指定できるように修正しました。[376]

具体的には、以下のメソッドを追加。

static void zip(final File[] sources, final File destination, final FileFilter filter)

ビルドが通ったらfixとします。

2008/12/26 17:50:45 更新者:shinomiya

まだ、JavaのAPIだけしか対応していませんでした。。。 JSのAPIは、まだ複数ファイル対応していません。

ということで、JSのAPIが完成するまでステータスはこのままとします。 (ちなみに、JSのAPIは、大幅にリファクタリングする予定)

2009/01/29 14:44:25 更新者:shinomiya

2009/01/29 15:04:30 更新者:shinomiya

ビルド通りました。(=テストOK)

APIリストの生成を確認後、Fixにします。